# TargetGroupsApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                 | HTTP request                             | Description                           |
| -------------------------------------------------------------------------------------- | ---------------------------------------- | ------------------------------------- |
| [**target\_groups\_delete**](#target_groups_delete)                                    | **DELETE** /targetgroups/{targetGroupId} | Delete a Target Group by ID           |
| [**targetgroups\_find\_by\_target\_group\_id**](#targetgroups_find_by_target_group_id) | **GET** /targetgroups/{targetGroupId}    | Get a Target Group by ID              |
| [**targetgroups\_get**](#targetgroups_get)                                             | **GET** /targetgroups                    | Get Target Groups                     |
| [**targetgroups\_patch**](#targetgroups_patch)                                         | **PATCH** /targetgroups/{targetGroupId}  | Partially Modify a Target Group by ID |
| [**targetgroups\_post**](#targetgroups_post)                                           | **POST** /targetgroups                   | Create a Target Group                 |
| [**targetgroups\_put**](#targetgroups_put)                                             | **PUT** /targetgroups/{targetGroupId}    | Modify a Target Group by ID           |

## target\_groups\_delete

> target\_groups\_delete(target\_group\_id, opts)

Delete a Target Group by ID

Deletes the target group specified by its ID.

### Examples

```ruby
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
  # Configure HTTP basic authorization: Basic Authentication
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: Token Authentication
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Ionoscloud::TargetGroupsApi.new
target_group_id = 'target_group_id_example' # String | The unique ID of the target group.
opts = {
  pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
  depth: 56, # Integer | Controls the detail depth of the response objects.  GET /datacenters/[ID]  - depth=0: Only direct properties are included; children (servers and other elements) are not included.  - depth=1: Direct properties and children references are included.  - depth=2: Direct properties and children properties are included.  - depth=3: Direct properties and children properties and children's children are included.  - depth=... and so on
  x_contract_number: 56 # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
}

begin
  # Delete a Target Group by ID
  api_instance.target_groups_delete(target_group_id, opts)
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->target_groups_delete: #{e}"
end
```

#### Using the target\_groups\_delete\_with\_http\_info variant

This returns an Array which contains the response data (`nil` in this case), status code and headers.

> \<Array(nil, Integer, Hash)> target\_groups\_delete\_with\_http\_info(target\_group\_id, opts)

```ruby
begin
  # Delete a Target Group by ID
  data, status_code, headers = api_instance.target_groups_delete_with_http_info(target_group_id, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => nil
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->target_groups_delete_with_http_info: #{e}"
end
```

### Parameters

| Name                    | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                         |
| ----------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **target\_group\_id**   | **String**  | The unique ID of the target group.                                                                                                                                                                                                                                                                                                                                                                                                       |                               |
| **pretty**              | **Boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional]\[default to true] |
| **depth**               | **Integer** | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **x\_contract\_number** | **Integer** | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                   |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## targetgroups\_find\_by\_target\_group\_id

> targetgroups\_find\_by\_target\_group\_id(target\_group\_id, opts)

Get a Target Group by ID

Retrieves the properties of the target group specified by its ID.

### Examples

```ruby
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
  # Configure HTTP basic authorization: Basic Authentication
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: Token Authentication
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Ionoscloud::TargetGroupsApi.new
target_group_id = 'target_group_id_example' # String | The unique ID of the target group.
opts = {
  pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
  depth: 56, # Integer | Controls the detail depth of the response objects.  GET /datacenters/[ID]  - depth=0: Only direct properties are included; children (servers and other elements) are not included.  - depth=1: Direct properties and children references are included.  - depth=2: Direct properties and children properties are included.  - depth=3: Direct properties and children properties and children's children are included.  - depth=... and so on
  x_contract_number: 56 # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
}

begin
  # Get a Target Group by ID
  result = api_instance.targetgroups_find_by_target_group_id(target_group_id, opts)
  p result
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_find_by_target_group_id: #{e}"
end
```

#### Using the targetgroups\_find\_by\_target\_group\_id\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> targetgroups\_find\_by\_target\_group\_id\_with\_http\_info(target\_group\_id, opts)

```ruby
begin
  # Get a Target Group by ID
  data, status_code, headers = api_instance.targetgroups_find_by_target_group_id_with_http_info(target_group_id, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <TargetGroup>
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_find_by_target_group_id_with_http_info: #{e}"
end
```

### Parameters

| Name                    | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                         |
| ----------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **target\_group\_id**   | **String**  | The unique ID of the target group.                                                                                                                                                                                                                                                                                                                                                                                                       |                               |
| **pretty**              | **Boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional]\[default to true] |
| **depth**               | **Integer** | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **x\_contract\_number** | **Integer** | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                   |

### Return type

[**TargetGroup**](/ruby-sdk/models/targetgroup.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## targetgroups\_get

> targetgroups\_get(opts)

Get Target Groups

Lists target groups. A target group is a set of one or more registered targets. You must specify an IP address, a port number, and a weight for each target. Any object with an IP address in your VDC can be a target, for example, a VM, another load balancer, etc. You can register a target with multiple target groups.

### Examples

```ruby
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
  # Configure HTTP basic authorization: Basic Authentication
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: Token Authentication
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Ionoscloud::TargetGroupsApi.new
opts = {
  pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
  depth: 56, # Integer | Controls the detail depth of the response objects.  GET /datacenters/[ID]  - depth=0: Only direct properties are included; children (servers and other elements) are not included.  - depth=1: Direct properties and children references are included.  - depth=2: Direct properties and children properties are included.  - depth=3: Direct properties and children properties and children's children are included.  - depth=... and so on
  x_contract_number: 56, # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
  offset: 56, # Integer | The first element (from the complete list of the elements) to include in the response (used together with <b><i>limit</i></b> for pagination).
  limit: 56 # Integer | The maximum number of elements to return (used together with <b><i>offset</i></b> for pagination). It must not exceed <b><i>200</i></b>.
}

begin
  # Get Target Groups
  result = api_instance.targetgroups_get(opts)
  p result
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_get: #{e}"
end
```

#### Using the targetgroups\_get\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> targetgroups\_get\_with\_http\_info(opts)

```ruby
begin
  # Get Target Groups
  data, status_code, headers = api_instance.targetgroups_get_with_http_info(opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <TargetGroups>
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_get_with_http_info: #{e}"
end
```

### Parameters

| Name                    | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                         |
| ----------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **pretty**              | **Boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional]\[default to true] |
| **depth**               | **Integer** | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **x\_contract\_number** | **Integer** | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                   |
| **offset**              | **Integer** | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                       | \[optional]\[default to 0]    |
| **limit**               | **Integer** | The maximum number of elements to return (used together with \<b>\<i>offset\</i>\</b> for pagination). It must not exceed \<b>\<i>200\</i>\</b>.                                                                                                                                                                                                                                                                                         | \[optional]\[default to 100]  |

### Return type

[**TargetGroups**](/ruby-sdk/models/targetgroups.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## targetgroups\_patch

> targetgroups\_patch(target\_group\_id, target\_group\_properties, opts)

Partially Modify a Target Group by ID

Updates the properties of the target group specified by its ID.

### Examples

```ruby
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
  # Configure HTTP basic authorization: Basic Authentication
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: Token Authentication
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Ionoscloud::TargetGroupsApi.new
target_group_id = 'target_group_id_example' # String | The unique ID of the target group.
target_group_properties = Ionoscloud::TargetGroupProperties.new({algorithm: 'ROUND_ROBIN', name: 'My target group', protocol: 'HTTP'}) # TargetGroupProperties | The target group properties to be updated.
opts = {
  pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
  depth: 56, # Integer | Controls the detail depth of the response objects.  GET /datacenters/[ID]  - depth=0: Only direct properties are included; children (servers and other elements) are not included.  - depth=1: Direct properties and children references are included.  - depth=2: Direct properties and children properties are included.  - depth=3: Direct properties and children properties and children's children are included.  - depth=... and so on
  x_contract_number: 56 # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
}

begin
  # Partially Modify a Target Group by ID
  result = api_instance.targetgroups_patch(target_group_id, target_group_properties, opts)
  p result
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_patch: #{e}"
end
```

#### Using the targetgroups\_patch\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> targetgroups\_patch\_with\_http\_info(target\_group\_id, target\_group\_properties, opts)

```ruby
begin
  # Partially Modify a Target Group by ID
  data, status_code, headers = api_instance.targetgroups_patch_with_http_info(target_group_id, target_group_properties, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <TargetGroup>
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_patch_with_http_info: #{e}"
end
```

### Parameters

| Name                          | Type                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                         |
| ----------------------------- | ---------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **target\_group\_id**         | **String**                                                             | The unique ID of the target group.                                                                                                                                                                                                                                                                                                                                                                                                       |                               |
| **target\_group\_properties** | [**TargetGroupProperties**](/ruby-sdk/models/targetgroupproperties.md) | The target group properties to be updated.                                                                                                                                                                                                                                                                                                                                                                                               |                               |
| **pretty**                    | **Boolean**                                                            | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional]\[default to true] |
| **depth**                     | **Integer**                                                            | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **x\_contract\_number**       | **Integer**                                                            | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                   |

### Return type

[**TargetGroup**](/ruby-sdk/models/targetgroup.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## targetgroups\_post

> targetgroups\_post(target\_group, opts)

Create a Target Group

Creates a target group.

### Examples

```ruby
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
  # Configure HTTP basic authorization: Basic Authentication
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: Token Authentication
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Ionoscloud::TargetGroupsApi.new
target_group = Ionoscloud::TargetGroup.new({properties: Ionoscloud::TargetGroupProperties.new({algorithm: 'ROUND_ROBIN', name: 'My target group', protocol: 'HTTP'})}) # TargetGroup | The target group to create.
opts = {
  pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
  depth: 56, # Integer | Controls the detail depth of the response objects.  GET /datacenters/[ID]  - depth=0: Only direct properties are included; children (servers and other elements) are not included.  - depth=1: Direct properties and children references are included.  - depth=2: Direct properties and children properties are included.  - depth=3: Direct properties and children properties and children's children are included.  - depth=... and so on
  x_contract_number: 56 # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
}

begin
  # Create a Target Group
  result = api_instance.targetgroups_post(target_group, opts)
  p result
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_post: #{e}"
end
```

#### Using the targetgroups\_post\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> targetgroups\_post\_with\_http\_info(target\_group, opts)

```ruby
begin
  # Create a Target Group
  data, status_code, headers = api_instance.targetgroups_post_with_http_info(target_group, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <TargetGroup>
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_post_with_http_info: #{e}"
end
```

### Parameters

| Name                    | Type                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                         |
| ----------------------- | -------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **target\_group**       | [**TargetGroup**](/ruby-sdk/models/targetgroup.md) | The target group to create.                                                                                                                                                                                                                                                                                                                                                                                                              |                               |
| **pretty**              | **Boolean**                                        | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional]\[default to true] |
| **depth**               | **Integer**                                        | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **x\_contract\_number** | **Integer**                                        | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                   |

### Return type

[**TargetGroup**](/ruby-sdk/models/targetgroup.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## targetgroups\_put

> targetgroups\_put(target\_group\_id, target\_group, opts)

Modify a Target Group by ID

Modifies the properties of the target group specified by its ID.

### Examples

```ruby
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
  # Configure HTTP basic authorization: Basic Authentication
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: Token Authentication
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Ionoscloud::TargetGroupsApi.new
target_group_id = 'target_group_id_example' # String | The unique ID of the target group.
target_group = Ionoscloud::TargetGroupPut.new({properties: Ionoscloud::TargetGroupProperties.new({algorithm: 'ROUND_ROBIN', name: 'My target group', protocol: 'HTTP'})}) # TargetGroupPut | The modified target group.
opts = {
  pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
  depth: 56, # Integer | Controls the detail depth of the response objects.  GET /datacenters/[ID]  - depth=0: Only direct properties are included; children (servers and other elements) are not included.  - depth=1: Direct properties and children references are included.  - depth=2: Direct properties and children properties are included.  - depth=3: Direct properties and children properties and children's children are included.  - depth=... and so on
  x_contract_number: 56 # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
}

begin
  # Modify a Target Group by ID
  result = api_instance.targetgroups_put(target_group_id, target_group, opts)
  p result
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_put: #{e}"
end
```

#### Using the targetgroups\_put\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> targetgroups\_put\_with\_http\_info(target\_group\_id, target\_group, opts)

```ruby
begin
  # Modify a Target Group by ID
  data, status_code, headers = api_instance.targetgroups_put_with_http_info(target_group_id, target_group, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <TargetGroup>
rescue Ionoscloud::ApiError => e
  puts "Error when calling TargetGroupsApi->targetgroups_put_with_http_info: #{e}"
end
```

### Parameters

| Name                    | Type                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                         |
| ----------------------- | -------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **target\_group\_id**   | **String**                                               | The unique ID of the target group.                                                                                                                                                                                                                                                                                                                                                                                                       |                               |
| **target\_group**       | [**TargetGroupPut**](/ruby-sdk/models/targetgroupput.md) | The modified target group.                                                                                                                                                                                                                                                                                                                                                                                                               |                               |
| **pretty**              | **Boolean**                                              | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional]\[default to true] |
| **depth**               | **Integer**                                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **x\_contract\_number** | **Integer**                                              | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                   |

### Return type

[**TargetGroup**](/ruby-sdk/models/targetgroup.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/ruby-sdk/api/targetgroupsapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
